##
##  asterisk-festival.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2008 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         asterisk-festival
Summary:      Asterisk Extension: Festival Text-To-Speech (TTS) Engine
URL:          http://www.cstr.ed.ac.uk/projects/festival/
Vendor:       University of Edinburgh
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        VoIP
License:      PD
Version:      0
Release:      20080321

#   list of sources
Source0:      festival.conf

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20060823, make, gcc
PreReq:       OpenPKG, openpkg >= 20060823
BuildPreReq:  asterisk, festival
PreReq:       asterisk, festival
AutoReq:      no
AutoReqProv:  no

%description
    This is an extension module for the Asterisk PBX which integrates
    the Festival engine for Text-To-Speech (TTS) functionality.

%track

%prep
    %setup -q -T -c

%build
    #   Notice: the app_festival.so is already out-of-the-box provided by the
    #   default Asterisk built in the "asterisk" package.

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/asterisk \
        $RPM_BUILD_ROOT%{l_prefix}/var/asterisk/spool/festival
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE festival.conf} $RPM_BUILD_ROOT%{l_prefix}/etc/asterisk/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %attr(640,%{l_mgrp},%{l_rgrp}) %{l_prefix}/etc/asterisk/*' \
        '%attr(-,%{l_rusr},%{l_rgrp}) %{l_prefix}/var/asterisk/spool/festival'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

